#include <iostream>
#include <math.h> 
using namespace std;
struct mere{
	int duzina;
	int x1;
	int x2;
	int y1;
	int y2;
};
int main(int argc, char** argv) {
	int n,m,a;
	a=0;
	cin>>n;
	m=n*(n-1);
	mere *xyd=new mere[m];
	int **koordinate;
	int *duzina=new int[m];
	koordinate=new int*[n];
	for(int i=0;i<n;i++)
	{
		koordinate[i]=new int[2];
	}
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<2;j++)
		{
			cin>>koordinate[i][j];
		}
	}
	for(int k=0;k<n;k++)
	{
		for(int i=1;i<n;i++)
		{
			xyd[i-1].duzina=sqrt((koordinate[k][0]-koordinate[i][0])*(koordinate[k][0]-koordinate[i][0]))+sqrt((koordinate[k][1]-koordinate[i][1])*(koordinate[k][1]-koordinate[i][1]));
			xyd[i-1].x1=koordinate[k][0];
			xyd[i-1].x2=koordinate[i][0];
			xyd[i-1].y1=koordinate[k][1];
			xyd[i-1].y2=koordinate[i][1];
		}
		
	}
	
	

	for(int k=0;k<n;k++)
	{
		for(int i=1;i<n;i++)
		{
		if((xyd[k].duzina==2*xyd[i].duzina || 2*xyd[k].duzina==xyd[i].duzina )&& (xyd[k].y2-xyd[k].y2)/(xyd[k].x2-xyd[k].x1)==(xyd[i].y2-xyd[i].y2)/(xyd[i].x2-xyd[i].x1))
		{
			a++;
		}	
		}
	}
	cout<<a;	
	return 0;
}